<?php
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0";  

//Valida i adapta els paràmetres necessris
$userCode = $bbdd->checkParameter('userCode');
$userPass = $bbdd->checkParameter('userPass');

//Comprova que s'hagin validat els paràmetres
if ($userCode !== 0 && $userPass !== 0) {	
	//Canvia la contrasenya
	$result = $bbdd->update("Users","userPass = '".$userPass."'", "userIden = '".$userCode."'");
	
	//Comprova que el resultat de l'operació sigui correcte
	if (isset($result) && $result) {  
		$response["success"] = "1";  
		$response["message"] = "OK";
	} 	
} else {	
	//Resposta: Sol·licitud no realitzada
	$response["message"] = "No s'ha pogut realitzar el registre, revisa els paràmetres introduïts.";	
}

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);  
?>